<?php
/*
Plugin Name: SimpleTags
Plugin URI: http://www.broobles.com/scripts/simpletags/
Description: Allows you to create a list of Technorati tags at the bottom of your post by providing a comma separated list of tags between the &lt;tags&gt; tags. You can use it with any blogging tool/method, not just when posting from WordPress itself (doesn't use custom fields). Supports multiple words within tags. Inspired by TechnoTag.
Version: 1.0
Date: July 9th, 2005
Author: Broobles
Author URI: http://www.broobles.com
*/ 

// Change these if you want something else to appear before and after the tags.
// Leave them blank ("") if you don't want any text to appear around the tags.
$pre_replacement = "Technorati Tags: ";
$post_replacement = "";

$tag_url = "http://www.technorati.com/tag/";

function simpleTags($text) {
    
    global $tag_url;
    global $pre_replacement;
    global $post_replacement;
    
    $pattern = '/(<tags>(.*?)<\/tags>)/i';
    
    if (preg_match ($pattern, $text, $matches)) {
        $ttags = explode(",", $matches[2]);
        $replacement = $pre_replacement;
        for ($i=0; $i<count($ttags); $i++) {
            $replacement .= '<a href="' . $tag_url . urlencode(trim($ttags[$i])) . '" rel="tag">' . $ttags[$i] . '</a>';
            if ($i<count($ttags)-1) { $replacement .= ", "; }
        }
        $replacement .= $post_replacement;
        $text = preg_replace($pattern,$replacement,$text);
    } 
    
    return $text;
}

add_filter('the_content', 'simpleTags');

?>
